/******************************************************************************
 *
 *                Copyright (c) 2017-2019 by Löwenware Ltd
 *             Please, refer LICENSE file for legal information
 *
 ******************************************************************************/

/**
 * @file config.h
 * @author Ilja Kartašov <ik@lowenware.com>
 * @brief 
 *
 * @see https://lowenware.com/
 */

#ifndef CONFIG_H_18E4DCB3_B446_424F_9E5E_06DC15FA40BA
#define CONFIG_H_18E4DCB3_B446_424F_9E5E_06DC15FA40BA

#ifndef ARC_CONFIG_FILE
#define ARC_CONFIG_FILE "data/arcd.config"
#endif

/** Default HTTP server port */
#ifndef CONFIG_HTTP_PORT
#define CONFIG_HTTP_PORT 8080
#endif

#ifndef CONFIG_LOG_TARGET 
#define CONFIG_LOG_TARGET "output.log"
#endif

int
config_read(void);

#endif /* !CONFIG_H */
