/******************************************************************************
 *
 *                Copyright (c) 2017-2019 by Löwenware Ltd
 *             Please, refer LICENSE file for legal information
 *
 ******************************************************************************/

/**
 * @file surgard.c
 * @author Ilja Kartašov <ik@lowenware.com>
 * @brief 
 *
 * @see https://lowenware.com/
 */

#include <string.h>
#include "surgard.h"


struct surgard {
	struct agent parent;
};


bool
surgard_supports(const char *protocol)
{
	return !strcmp(protocol, "surgard");
}


struct agent *
surgard_new(AgentType agent_type, const char *name, char *address, char *params)
{
	struct agent *agent;

	if ((agent = agent_alloc(name, agent_type, sizeof (struct surgard)))) {

	}
	return agent;
}


void
surgard_free(struct agent *agent)
{
	agent_free(agent);
}


int
surgard_run(struct agent *agent, unsigned char *buffer, size_t buf_sz)
{
	return 1;
}
