/******************************************************************************
 *
 *                Copyright (c) 2017-2019 by Löwenware Ltd
 *             Please, refer LICENSE file for legal information
 *
 ******************************************************************************/

/**
 * @file end-points.h
 * @author Ilja Kartašov <ik@lowenware.com>
 * @brief Header-file only module with end-points URI macroses
 *
 * @see https://lowenware.com/
 */

#ifndef END_POINTS_H_406472C7_FC75_41D5_8988_AA12455597EC
#define END_POINTS_H_406472C7_FC75_41D5_8988_AA12455597EC


#define ROOT_URI "/"
#define HOOK_URI "/hook/"
#define BLOG_URI "/blog/"
#define TODO_URI "/todo/"

/* Pages */

/* Blog */

/* Static */

/* ToDo */
#define TODO_END_POINT TODO_URI

/* Hooks */
#define FEEDBACK_END_POINT HOOK_URI "feedback/"

#endif /* !END_POINTS_H */
