/******************************************************************************
 *
 *                Copyright (c) 2017-2019 by Löwenware Ltd
 *             Please, refer LICENSE file for legal information
 *
 ******************************************************************************/

/**
 * @file observer.h
 * @author Ilja Kartašov <ik@lowenware.com>
 * @brief AISL event observer header file
 *
 * @see https://lowenware.com/
 */

#ifndef OBSERVER_H_C0DE24F7_EC8D_4C89_B253_15F0BB5BF7B5
#define OBSERVER_H_C0DE24F7_EC8D_4C89_B253_15F0BB5BF7B5

#include <aisl/aisl.h>


AislStatus
observer_init(void);


void
observer_release(void);


void
observer_on_aisl_event(const struct aisl_evt *evt, void *p_ctx);


#endif /* !OBSERVER_H */
