/******************************************************************************
 *
 *                Copyright (c) 2017-2019 by Löwenware Ltd
 *             Please, refer LICENSE file for legal information
 *
 ******************************************************************************/

/**
 * @file surgard.h
 * @author Ilja Kartašov <ik@lowenware.com>
 * @brief 
 *
 * @see https://lowenware.com/
 */

#ifndef SURGARD_H_0C382373_4757_4FC1_A2DE_991F9D71CDBC
#define SURGARD_H_0C382373_4757_4FC1_A2DE_991F9D71CDBC

#include "agent.h"


struct agent *
surgard_new(AgentType agent_type, const char *name, char *address, char *params);


void
surgard_free(struct agent *agent);


int
surgard_run(struct agent *agent, unsigned char *buffer, size_t buf_sz);


bool
surgard_supports(const char *protocol);

#endif /* !SURGARD_H */
